Bug 13892 - SQLHelper replacement - C4::Members::Search - ysearch.pl
Summary: SQLHelper replacement - C4::Members::Search - ysearch.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 12633 13822 13957
  Show dependency treegraph
 
Reported: 2015-03-23 12:13 UTC by Jonathan Druart
Modified: 2015-12-03 22:11 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13892: Make ysearch.pl not using C4::Members::Search (4.58 KB, patch)
2015-03-23 12:16 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13892: Make ysearch.pl not using C4::Members::Search (4.57 KB, patch)
2015-03-23 14:05 UTC, Jonathan Druart
Details | Diff | Splinter Review
[Signed-off] Bug 13892: Make ysearch.pl not using C4::Members::Search (4.74 KB, patch)
2015-03-24 10:21 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 13892: Make ysearch.pl not using C4::Members::Search (4.70 KB, patch)
2015-03-27 15:23 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2015-03-23 12:13:36 UTC
ysearch.pl currently uses C4::Members::Search.
To get rid of SQLHelper, we should not use this subroutine anymore.
Comment 1 Jonathan Druart 2015-03-23 12:16:39 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2015-03-23 14:05:05 UTC Comment hidden (obsolete)
Comment 3 Marc Véron 2015-03-24 10:21:42 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2015-03-27 15:23:42 UTC
Created attachment 37329 [details] [review]
[PASSED QA] Bug 13892: Make ysearch.pl not using C4::Members::Search

To get rid of SQLHelper, we should not use this C4::Members::Search anymore.

Test plan:
0/ Enable the CircAutocompl pref
1/ Go on the circulation home page, or the reserve page
2/ Search for a patron and wait for the autocompletion box
3/ Confirm there is no regression

Works as expected.
Signed-off-by: Marc Veron <veron@veron.ch>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Tomás Cohen Arazi 2015-03-30 16:21:33 UTC
Patch pushed to master.

Thanks Jonthan!